{ config, pkgs, lib, ... }:

{
  imports = [
    ./hardware.nix
    ./nvidia.nix
  ];

  # - Basic --------------------------------------

  networking.hostName = "reykjavik";

  boot.loader.systemd-boot.enable = true;

  # - Modules ------------------------------------

  samfelag.modules = {
    user.name = "marc";
    bluetooth.enable = true;
  };


  # - Profiles -----------------------------------

  samfelag.profiles = {
    desktop = {
      enable = true;
      laptop = true;
    };
    gaming.enable = true;
  };

  system.stateVersion = "22.05";

}
